To compile LabPlot from source following packages are required:
	* CMake version 3.17.0 or higher
	* Qt version 5.12 or higher (including the devel-package, libqt5-devel or similar)
	* KDE Frameworks 5.32.0 or higher (including the devel-package)
	* Qt Advanced Docking System (QADS) or Qt5::GuiPrivate to build QADS locally
	* GSL version 1.15 or higher (including the devel-package, gsl-devel or similar)

optional packages
	* LaTeX and Poppler version 0.62 or higher (including the devel-package, libpoppler-qt5-devel or similar) to enable LaTeX typesetting in LabPlot
		* Required LaTeX packages: 'color', 'preview' and, in case xelatex or lualatex is used, 'xltxtra'.
		* On Windows you need a LaTeX installation (like MiKTeX or TeX Live) for LaTeX support.
		* On macOS you need a LaTeX installation (like MacTeX) for LaTeX support.
	* FFTW version 3.3 or higher (including the devel-package, fftw3-devel or similar)
	* HDF5 version 1.8 or higher (including the devel-package, hdf5-devel or similar)
	* NetCDF version 3 or higher (including the devel-package, netcdf-devel or similar)
	* CFITSIO version 3 or higher to support FITS data format (including the devel-package, cfitsio-devel or similar)
	* libcerf version 1.0 or higher to support complex error and related functions (including the devel-package, libcerf-devel or similar)
	* Cantor version 19.12 or higher (including the devel-package, cantor-devel or similar)
		* To use the backends the corresponding application must be installed
		* The Python backend needs Python 3.8 installed on Windows
	* ZLIB and LZ4 to support ROOT (CERN) TH1 histograms (including the devel-package, zlib-devel and liblz4-devel or similar)
	* ReadStat for importing serveral statistical data formats (will be build if not available)
	* liborigin version 3 or higher for importing Origin project files (will be build if not available)
	* Matio for importing binary MATLAB MAT files (including the devel-package, libmatio-devel or similar)
	* QXlsx for importing Excel xlsx files (will be build if not available)
	* Orcus for importing ODS (Open Document Spreadsheet) files (including the devel-package, liborcus-devel or similar)
	* Qt SerialPort to support serial port functionality
	* Qt MQTT module (https://github.com/qt/qtmqtt) to support reading and plotting of data from MQTT brokers
	* KUserFeedback to support collecting feedback from users
	* Discount to support Markdown markup language text
	* Eigen3 to support fast baseline removal
	* fast_float, dbc_parser_cpp and vector_blf for Vector BLF support (can be fetched from git by setting -DLOCAL_DBC_PARSER=ON and -DLOCAL_VECTOR_BLF=ON)

===============================================================================
To build LabPlot execute
# ./compile

Edit the compile script if you want to use options different from default ones.
E.g. specify a custom installation path via
-DCMAKE_INSTALL_PREFIX=/usr/local

or build a debug build via
-DCMAKE_BUILD_TYPE=debug

LabPlot's cmake configuration script searches for the optional packages and uses them if they are found.
To compile LabPlot without optional dependencies even if they are present on the system, use the following parameters (default is "ON"):
-DENABLE_FFTW=OFF
-DENABLE_HDF5=OFF
-DENABLE_NETCDF=OFF
-DENABLE_FITS=OFF
-DENABLE_LIBCERF=OFF
-DENABLE_CANTOR=OFF
-DENABLE_ROOT=OFF
-DENABLE_READSTAT=OFF
-DENABLE_MATIO=OFF
-DENABLE_MQTT=OFF
-DENABLE_ORCUS=OFF
-DENABLE_QTSERIALPORT=OFF
-DENABLE_LIBORIGIN=OFF
-DENABLE_TOUCHBAR=OFF
-DENABLE_XLSX=OFF
-DENABLE_VECTOR_BLF=OFF
-DENABLE_EIGEN3=OFF

Note, by switching off these libraries the feature set of LabPlot will be reduced.

To enable reproducable builds, use
-DENABLE_REPRODUCIBLE=ON

To disable building tests, use
-DENABLE_TESTS=OFF

To disable building the SDK, use
-DENABLE_SDK=OFF

================================================================================
To run the tests execute

# cd build
# make test

================================================================================
To install LabPlot execute

# cd build
# make install

================================================================================
To uninstall LabPlot execute

# cd build
# make uninstall

================================================================================
To remove all build files in the base directory execute

# rm -rf build
